use rusted_nes::sim6502::*;
use std::fs;
use std::fs::File;
use std::io::Read;

fn main() {
    let mut f = File::open("basic.bin").expect("File not found");
    let metadata = fs::metadata("basic.bin").expect("Could not load metadata");
    let bytes = metadata.len();
    let mut buffer = vec![0; bytes as usize];
    let bytes_read = f.read(&mut buffer).expect("Problem reading file into buffer");

    println!("Read {} bytes", bytes_read);

    let instructions = decode_instructions(&buffer, bytes_read as i32);
    for inst in instructions {
        println!("{:?}", inst);
    }
}
